import jingrow


def execute():
	jingrow.reload_pg("jcloud", "pagetype", "proxy_server")

	for server in jingrow.get_all(
		"Proxy Server", filters={"status": "Active"}, pluck="name"
	):
		server = jingrow.get_pg("Proxy Server", server)
		server.proxysql_monitor_password = jingrow.generate_hash()
		server.save()
